synth_formula(Theta, Formula, Constraint, Program) :-

	assert_trace(trace_schema_head, 'synth/schemas/numeric/simplex.pl',
		['Trying Nelder-Mead simplex method:',
		  synth_formula(Theta, Formula, Constraint, Program)
		]),

	Ar_base   = a,
	Ar_offset = 1,
	(Theta = [_, _ | _ ] ; \+ ground(Theta)),

	synth_simplex_try(Offset_vector, Simplex, Worst1, ValuesW1, Center, Size, 
			  Try,Try_val,
			  -1, SFormula, 
			  'Reflect the simplex from the worst point (F = -1)',
			  Reflection)
.
